Create CsvMapping

POST /tenants/{tenant}/csv-mappings

Creates a new CsvMapping for the specified tenant.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

Request Body*

{
  "name": "string",
  "columnMappings": [
    {
      "csvHeader": "...",
      "targetField": "...",
      "customFieldCode": "..."
    }
  ],
  "matchField": "Code",
  "mappingType": "Client"
}

Responses

201 Created
400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
403 Forbidden
application/problem+json